Phar::getStub
Phar::getSupportedSignatures
Phar
PHP Manual

# Phar::getSupportedCompression

Return array of supported compression algorithms

### Description

final public static array Phar::getSupportedCompression ( void )

### Parameters

No parameters.

### Return Values

Returns an array containing any of Phar::GZ or Phar::BZ2, depending on the availability of the zlib extension or the bz2 extension.

### See Also

- PharFileInfo::getCompressedSize
- PharFileInfo::isCompressed
- PharFileInfo::compress
- PharFileInfo::decompress
- Phar::compress
- Phar::decompress
- Phar::canCompress
- Phar::isCompressed
- Phar::compressFiles
- Phar::decompressFiles